/var/log/messages

debugging with sixth sense

記録

控え。

まず以下で導入。

$ gem install rails -v 3.2.13

何故か今使ってるバージョンで rails が入ってなかった。4 にするか迷いましたがこちらチョイスで。つうか端末固まってるカンジなんスけど大丈夫なのか。

とほほ

-r 付けてないだけでした。

ええと、Heroku に deploy するってことなので Heroku に Rails アプリをアップ を参考にしつつ以下。

  • git init して public/uploads、tmp、logs を .gitignore に追加
  • あと *~ も .gitignore に追加
  • git add して commit 作成
  • Gemfile の sqlite3 なエントリを development 限定にして pg な Gem は production 限定な記述に変更
  • heroku create
  • git push heroku master
  • heroku run rake db:migrate

あと、ヤッたのは generate scaffold した位? それ以外だと app/controleers/application_controller.rb の記述を以下に修正してます。

class ApplicationController < ActionController::Base
  protect_from_forgery with: :null_serssion
end

とりあえず何とかなったのかどうか、ようやく新年を迎えてゆっくりできれば良いのですがorz

漏れてた

Destroy なナニが動かず。以下を Gemfile に追加。

  gem 'execjs'
  gem 'therubyracer'

すると

  • libv8
  • ref
  • therubyracer

が導入されるも削除なリンクは動かず。色々ヤッてみるもなんかカンジ的に微妙だったのですが、Gemfile な中身見てみるに

gem 'rails', '3.2.0'

とかなってて新年早々脱力orz

以下に修正して

gem 'rails', '3.2.14'

反映したらダイアログが出るようになりました。しかし 3.2.0 てorz

Comments